- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAPCCache
TApplicationStateCacheDependency
TCache
TCacheDependency
TCacheDependencyList
TChainedCacheDependency
TDbCache
TDirectoryCacheDependency
TFileCacheDependency
TGlobalStateCacheDependency
TMemCache
TSqliteCache
TXCache

Keyword

# Class TFileCacheDependency

    TComponent
       |
       --TCacheDependency
          |
          --TFileCacheDependency

TFileCacheDependency class.

TFileCacheDependency performs dependency checking based on the last modification time of the file specified via FileName. The dependency is reported as unchanged if and only if the file's last modification time remains unchanged.

Since: 3.1.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
string | getFileName ()
boolean | getHasChanged () Performs the actual dependency checking.
int | getTimestamp ()
void | setFileName ( string $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## getFileName

public string getFileName | ()

Output
string | the name of the file whose change is to be checked
Exception

## getHasChanged

public boolean getHasChanged | ()

Performs the actual dependency checking.

This method returns true if the last modification time of the file is changed.

Output
boolean | whether the dependency is changed or not.
Exception

## getTimestamp

public int getTimestamp | ()

Output
int | the last modification time of the file
Exception

## setFileName

public void setFileName | (string $value )

Input
string | $value | the name of the file whose change is to be checked
Output
Exception